メインコンテンツへスキップ
PATCH
/
files
/
2026-03
/
folders
/
{folderId}
Update folder properties by folder ID
curl --request PATCH \
  --url https://api.hubapi.com/files/2026-03/folders/{folderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentFolderId": 123
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "parentFolderId": "<string>",
  "path": "<string>"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

folderId
string
必須
Pattern: \d+

ボディ

application/json
name
string

New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.

parentFolderId
integer<int64>

New parent folderId. If changed, the folder and all it's children will be moved into the specified folder. parentFolderId and parentFolderPath cannot be specified at the same time.

レスポンス

successful operation

archived
boolean
必須

Marks whether the folder is deleted or not.

createdAt
string<date-time>
必須

Timestamp of folder creation.

id
string
必須

ID of the folder.

updatedAt
string<date-time>
必須

Timestamp of the latest update to the folder.

archivedAt
string<date-time>

Timestamp of folder deletion.

name
string

Name of the folder.

parentFolderId
string

ID of the parent folder.

path
string

Path of the folder in the file manager.

最終更新日 2026年6月5日